﻿using System.Collections;
using System.Collections.Generic;
using System;

namespace HeuristicLab.Persistence.Default.Xml.Compact {
  
  public class DoubleList2XmlFormatter : NumberEnumeration2XmlFormatter {

    public override Type Type {
      get {
      return typeof(List<double>);
      }
    }

    protected override void Add(IEnumerable enumeration, object o) {
      ((List<double>)enumeration).Add((int)o);
    }

    protected override object Instantiate() {
      return new List<double>();
    }

    protected override string formatValue(object o) {
      return ((double)o).ToString("r");
    }

    protected override object parseValue(string o) {
      return double.Parse(o);
    }

  }
}